#include <stdio.h>

#include "../include/unvmatch.h"
#include "../include/swnetcodes.h"

#include "net.h"
#include "swserv.h"


int NetHandleObjectForcePose(int condescriptor, char *arg)  
{
	return(0);
}


int NetSendObjectForcePose(int condescriptor, int obj_num)
{
	char sndbuf[CS_DATA_MAX_LEN];
	xsw_object_struct *obj;

	if(DBIsObjectGarbage(obj_num))
	    return(-1);

	obj = xsw_object[obj_num];

	/* CS_CODE_FORCEPOSEOBJ format:
	 *
	 *	obj_num
	 *	type imageset size
	 *	x y z
	 *	heading pitch bank
	 *	velocity
	 *	velocity_heading velocity_pitch velocity_bank
	 *	current_frame
	 */
	sprintf(
	    sndbuf,
"%i %i\
 %i %i %ld\
 %.4f %.4f %.4f\
 %.4f %.4f %.4f\
 %.4f\
 %.4f %.4f %.4f\
 %i\n",
	    CS_CODE_FORCEPOSEOBJ,
	    obj_num,
	    obj->type, obj->imageset, obj->size,
	    obj->x, obj->y, obj->z,
	    obj->heading, obj->pitch, obj->bank,
	    obj->velocity,
	    obj->velocity_heading, 0.0 * PI, 0.0 * PI,
	    obj->animation.current_frame
	);
	NetDoSend(condescriptor, sndbuf);

	return(0); 
}
