#include <stdio.h>

#include "../include/unvmatch.h"
#include "../include/swnetcodes.h"

#include "net.h"
#include "swserv.h"


int NetHandleSetUnits(int condescriptor, const char *arg)
{
	NetSendUnits(condescriptor);
	return(0);
}

int NetSendUnits(int condescriptor)
{
	char sndbuf[CS_DATA_MAX_LEN];

	/* Format SWEXTCMD_SETUNITS:
	 *
	 *	ru_to_au
	 */
	sprintf(
	    sndbuf,
	    "%i %i %.4f\n",
	    CS_CODE_EXT,
	    SWEXTCMD_SETUNITS,
	    sw_units.ru_to_au
	);

	NetDoSend(condescriptor, sndbuf);

	return(0);
}
