#include <stdio.h>

#include "../include/unvmatch.h"
#include "../include/swnetcodes.h"

#include "net.h"
#include "swserv.h"



int NetHandleWhoAmI(int condescriptor, char *arg)
{
	NetSendWhoAmI(condescriptor);

	return(0);
}


int NetSendWhoAmI(int condescriptor)
{
	int obj_num = connection[condescriptor]->object_num;
	char sndbuf[CS_DATA_MAX_LEN];
	xsw_object_struct *obj;

	/* Check if object is logged in with valid object */
	if(DBIsObjectGarbage(obj_num))
	{   
	    sprintf(
		sndbuf,
"Who am I information unknown, connection not logged in."
	    );
	    NetSendLiveMessage(condescriptor, sndbuf); 
	    return(-1);
	} 

	obj = xsw_object[obj_num];

	/* CS_CODE_WHOAMI format:
	 *
	 *	obj_num;object_name
	 */
	sprintf(
	    sndbuf,
"%i %i;%s\n",
	    CS_CODE_WHOAMI,
	    obj_num, obj->name
	);
	NetSendDataToConnection(condescriptor, sndbuf, 1);

	return(0);
}
