#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "../include/unvmatch.h"
#include "../include/swnetcodes.h"

#include "net.h"
#include "swserv.h"


int NetHandleSysMessage(int condescriptor)
{
	return(0);
}


int NetSendSysMessage(
	int condescriptor,
	int code,               /* One of CS_SYSMESG_* */
	const char *mesg
)
{
	char	lmesg[CS_MESG_MAX + 256],
		sndbuf[CS_DATA_MAX_LEN + 256];

	if(mesg == NULL)
	    return(-1);

	strncpy(lmesg, mesg, sizeof(lmesg));
	lmesg[sizeof(lmesg) - 1] = '\0';

	/* CS_CODE_SYSMESSAGE format:
	 *      
	 *      code mesg
	 */
	sprintf(
	    sndbuf,
	    "%i %i %s\n",
	    CS_CODE_SYSMESSAGE,
	    code, lmesg
	);
	NetDoSend(condescriptor, sndbuf);

	return(0);
}
