#include <stdio.h>

#include "../include/unvmatch.h"
#include "../include/swnetcodes.h"

#include "net.h"
#include "swserv.h"   

 
int NetHandleObjectMaximums(int condescriptor, char *arg)
{
	return(0);
}


int NetSendObjectMaximums(int condescriptor, int obj_num)
{
	char sndbuf[CS_DATA_MAX_LEN];
	xsw_object_struct *obj;

	if(DBIsObjectGarbage(obj_num))
	    return(-1);

	obj = xsw_object[obj_num];

	/* SWEXTCMD_STDOBJMAXS format:
	 *
	 *	type imageset owner size scanner_range
	 *	velocity_max thrust_power turnrate hp_max power_max
	 *	power_purity core_efficency antimatter_max total_weapons
	 *	visibility 
	 */
	sprintf(
	    sndbuf,
"%i %i %i\
 %i %i %i %ld\
 %.4f\
 %.5f %.5f %.5f\
 %.4f %.4f\
 %.4f %.4f %.4f\
 %i %.4f\n",

	    CS_CODE_EXT,
	    SWEXTCMD_STDOBJMAXS,
	    obj_num,
	    obj->type, obj->imageset, obj->owner, obj->size,
	    obj->scanner_range,
	    obj->velocity_max, obj->thrust_power, obj->turnrate,
	    obj->hp_max, obj->power_max,
	    obj->power_purity, obj->core_efficency, obj->antimatter_max,
	    obj->total_weapons, obj->visibility
	);
	NetDoSend(condescriptor, sndbuf);

	return(0);
}
