#include <stdio.h>

#include "../include/unvmatch.h"
#include "../include/swnetcodes.h"

#include "net.h"
#include "swserv.h"


int NetHandleShieldVis(int condescriptor, char *arg)
{
	return(0);
}


int NetSendShieldVis(int condescriptor, int obj_num)
{
	char sndbuf[CS_DATA_MAX_LEN];
	xsw_object_struct *obj;  

	if(DBIsObjectGarbage(obj_num))
	    return(-1);

	obj = xsw_object[obj_num];

	/* SWEXTCMD_SETSHIELDVIS format:
	 *
	 *	obj_num shield_visibility
	 */
	sprintf(
	    sndbuf,
"%i %i %i %.4f\n",
	    CS_CODE_EXT,
	    SWEXTCMD_SETSHIELDVIS,
	    obj_num, obj->shield_visibility
	);
	NetDoSend(condescriptor, sndbuf);

	return(0);
}
