#include <stdio.h>

#include "../include/unvmatch.h"
#include "../include/swnetcodes.h"

#include "net.h"
#include "swserv.h"


int NetHandleSetTitle(int condescriptor, const char *arg)
{
	NetSendTitle(condescriptor);
	return(0);
}

int NetSendTitle(int condescriptor)
{
	char sndbuf[CS_DATA_MAX_LEN];

	/* Format SWEXTCMD_SETTITLE:
	 *
	 *	title
	 */
	sprintf(
	    sndbuf,
	    "%i %i %s\n",
	    CS_CODE_EXT,
	    SWEXTCMD_SETTITLE,
	    unv_head.title
	);

	NetDoSend(condescriptor, sndbuf);

	return(0);
}
