#include <stdio.h>

#include "../include/unvmatch.h"
#include "../include/swnetcodes.h"

#include "net.h"
#include "swserv.h"


int NetHandleSetWeaponsUnlock(int condescriptor, char *arg)
{
	int con_obj_num;
	xsw_object_struct *obj;

	con_obj_num = connection[condescriptor]->object_num;
	if(DBIsObjectGarbage(con_obj_num))
	    return(-1);

	obj = xsw_object[con_obj_num];

	/* Unlock weapons on object */
	obj->locked_on = -1;

	/* Set next object values update to now so it gets updated now */
	next.object_values = cur_millitime;

	return(0);
}


int NetSendSetWeaponsUnlock(int condescriptor)
{
	return(0);
}
